
Redmine - Defect #7352

Filters not working in Gantt charts

2011-01-17 15:40 - E M

Status: Closed Start date: 2011-01-17

Priority: High Due date:  

Assignee:  % Done: 0%

Category: Gantt Estimated time: 0.00 hour

Target version: 1.2.0   

Resolution: Fixed Affected version:  

Description

If you log on the demo server (demo.redmine.org) and go to the overall Gantt Chart (projects -> view all issues -> Gantt), you can

see the Gantt (truncated) for all projects.

Now if you click "add filter", select "Project" and choose any project, then click "Apply", the updated Gantt chart does not filter

anything. It still shows all the projects.

Furthermore, clicking on the drop down "+" and doing a multiple selection in the list does not filter for these choices either.

It seems that other filters are not working either. For example, if you choose to filter for assignee and select one, the resulting Gantt

is modified but does not seem to filter for the proper user.

This function is crucial for our installation to be able to filter for multiple/single projects and for assignee.

Related issues:

Related to Redmine - Patch #7456: Gantt filters New 2011-01-26

Associated revisions

Revision 5077 - 2011-03-10 19:07 - Jean-Philippe Lang

Gantt: do not ignore project filter (#7000, #7352), do not display empty projects/versions, and display shared versions used in other projects (#5817,

#6476, #6604).

History

#1 - 2011-01-17 19:31 - Etienne Massip

This behavior makes sense as you are in a multi-project view.

To get a per-project Gantt display, you can select first the project (in projects list or by using the fast-access project combo) then go to the Gantt tab.

#2 - 2011-01-17 21:19 - E M

It filters just fine in the "Issues" view, even when viewing everything, but not in the Gantt view. So the behaviour should do the same filtering in Issue

list or Gantt format, which it doesn't.

And if you select only one project, you cannot select a few projects, which is doable in the Issues view but once again not in the Gantt view.

No filter seems ot be working at all in the gantt view for all activities.

#3 - 2011-01-18 00:53 - Robert Gruendler

i can confirm that the filters are not working in the gantt charts here too (Redmine 1.1.0.devel.4732 (MySQL)).

#4 - 2011-01-18 11:48 - Etienne Massip

- File gantt.rb.patch added

If I choose to filter on a specific assignee, the only issues displayed are the ones assigned to him, what about you (with devel) ?

By the way, I guess Gantt view should care especially about Project filter ; attached patch adds this consideration.

#5 - 2011-01-18 14:17 - Etienne Massip

- File gantt.rb.patch added

2025-05-17 1/2



Better one

#6 - 2011-01-18 20:27 - Dmit nitkin

Don't you plan to make  patch that doesn't show projects on gantt when this projects don't have issues with assignee set in filter?

#7 - 2011-01-19 11:05 - Etienne Massip

This is kind of what is described in #7314 / #3814 (which should be reopened, imho)

Fixed version filter lacks an operator "status is".

#8 - 2011-01-26 17:52 - Etienne Massip

Could someone try this patch at #7456 ?

#9 - 2011-03-10 19:14 - Jean-Philippe Lang

- Subject changed from Filters not working in Gantt charts (demo server) to Filters not working in Gantt charts

- Category set to Gantt

- Target version set to 1.2.0

- Resolution set to Fixed

Filters fixed in r5077.

#10 - 2011-03-10 19:15 - Jean-Philippe Lang

- Status changed from New to Closed

Files

gantt.rb.patch 2.42 KB 2011-01-18 Etienne Massip

gantt.rb.patch 2.22 KB 2011-01-18 Etienne Massip
